import { mapGetters } from 'vuex'

export const deviceDetection = {
  computed: {
    ...mapGetters('csDeviceDetection', ['device', 'deviceType']),
    isPhone: function () {
      return this.deviceType === 'phone'
    },
    isTablet: function () {
      return this.deviceType === 'tablet'
    },
    isDesktop: function () {
      return this.deviceType === 'desktop'
    }
  }
}